org.apache.solr.client.solrj.response

## Class CoreAdminResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.CoreAdminResponse

All Implemented Interfaces:
  Serializable

    public class CoreAdminResponse
    extends SolrResponseBase

Since:
  solr 1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CoreAdminResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<NamedList<Object>>` `getCoreStatus()`
`NamedList<Object>` `getCoreStatus(String core)`
`Date` `getStartTime(String core)`
`Long` `getUptime(String core)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoreAdminResponse

    public CoreAdminResponse()

### Method Detail

#### getCoreStatus

    public NamedList<NamedList<Object>> getCoreStatus()

#### getCoreStatus

    public NamedList<Object> getCoreStatus(String core)

#### getStartTime

    public Date getStartTime(String core)

#### getUptime

    public Long getUptime(String core)